System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.Data.IColumnMappingCollection To be added

Contains a collection of objects.

- Constructor
  To be added

  Creates an empty .

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` To be added

  Adds a object to the collection.

  The index of the DataColumnMapping object that was added to the collection.

  A DataColumnMapping object to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Data.Common.DataColumnMapping `` `` To be added

  Adds a object to the collection when given a source column name and a column name.

  The DataColumnMapping object that was added to the collection.

  The case-sensitive name of the source column to map to. The name, which is not case-sensitive, of the column to map to. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added.

  Copies the elements of the specified to the end of the collection.

  The to add to the collection.
- Method
  System.Void `` To be added

  Copies the elements of the specified array to the end of the collection.

  The array of objects to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added

  Removes all objects from the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Gets a value indicating whether a object with the given exists in the collection.

  true if the collection contains the specified object; otherwise, false.

  An that is the . 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Gets a value indicating whether a object with the given source column name exists in the collection.

  true if collection contains a object with the specified source column name; otherwise, false.

  The case-sensitive source column name of the object. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Copies the elements of the to the specified array.

  An to which to copy elements. The starting index of the array. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added.

  Copies the elements of the to the specified array.

  The zero-based index in the at which copying begins.
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of objects in the collection.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
- Method
  System.Data.Common.DataColumnMapping `` To be added

  Gets the object with the specified column name.

  The object with the specified column name.

  The name, which is not case-sensitive, of the column to find. 1.0.5000.0 2.0.0.0
- Method
  System.Data.Common.DataColumnMapping `` `` ``

  If the exists in the collection, it is returned.

  If the does not exist in the collection, for a given , the following actions occur:

  MissingMappingAction

  Action Taken

  Passthrough

  Creates a with the specified source column name as both the source column name and the column name. This is not added to the collection.

  Error

  An is generated if the specified column mapping is missing.

  Ignore

  Gets a null value.

  Gets a for the specified , source column name, and .

  A object.

  The . The case-sensitive source column name to find. One of the values. 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Method
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  System.Data.DataColumn `` `` `` `` `` `` To be added.

  A static method that returns a object without instantiating a object.

  A object.

  The . The case-sensitive column name from a data source. The data type for the column being mapped. An instance of . One of the values. Determines the action to take when the existing schema does not match incoming data.
- Method
  System.Collections.IEnumerator To be added

  Gets an enumerator that can iterate through the collection.

  An that can be used to iterate through the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` To be added

  Gets the location of the specified that is a within the collection.

  The zero-based location of the specified that is a within the collection.

  An that is the to find. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Gets the location of the with the specified source column name.

  The zero-based location of the with the specified case-sensitive source column name.

  The case-sensitive name of the source column. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Gets the location of the specified with the given column name.

  The zero-based location of the specified with the given DataSet column name, or -1 if the DataColumnMapping object does not exist in the collection.

  The name, which is not case-sensitive, of the data set column to find. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added.

  Inserts a object into the at the specified index.

  The zero-based index of the object to insert.
- Method
  System.Void `` `` To be added

  Inserts a object into the at the specified index.

  A object.

  The zero-based index of the object to insert. The object. 1.0.5000.0 2.0.0.0
- Property
  System.Data.Common.DataColumnMapping `` To be added: an object of type 'int' To be added To be added: an object of type 'DataColumnMapping' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Property
  System.Data.Common.DataColumnMapping `` To be added: an object of type 'string' To be added To be added: an object of type 'DataColumnMapping' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Method
  2.0.0.0
  System.Void `` To be added.

  Removes the specified from the collection.

  The to remove.
- Method
  System.Void `` To be added

  Removes the that is a from the collection.

  The that is the to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Removes the object with the specified index from the collection.

  The zero-based index of the object to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Removes the object with the specified source column name from the collection.

  The case-sensitive source column name. 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Gets a value that indicates whether access to the is synchronized (thread safe).

- Property
  1.0.5000.0
  2.0.0.0
  System.Object To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Gets an object that can be used to synchronize access to the .

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Gets a value that indicates whether the has a fixed size.

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Gets a value that indicates whether the is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.IColumnMapping `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Adds a object to the by using the source column and column names.

  The ColumnMapping object that was added to the collection.

  The case-sensitive name of the source column. The name of the column.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.IColumnMapping ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Gets the object that has the specified column name.

  The object that has the specified column name.

  The name, which is not case-sensitive, of the column to find.
- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.